"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103be4ea0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103be4fe0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103be4f40>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103be5080>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103be5120>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103be51c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103be5260>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103be5300>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103be53a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103be5440>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103be54e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103be5580>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103be5620>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x103be56c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103be5760>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103be5800>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103be58a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103be5940>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103be59e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103be5a80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103be5b20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103be5bc0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103be5c60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103be5d00>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103be5da0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103be5e40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103be5ee0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103be5f80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103be6020>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103be60c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103be6160>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103be6200>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103be62a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103be6340>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x103be63e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103be6480>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103be6520>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103be65c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103be6660>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103be6700>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103be67a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103be6840>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103be68e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103be6980>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103be6a20>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103be6ac0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103be6b60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103be6c00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103be6ca0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103be6d40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103be6de0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103be6e80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103be6f20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x103be6fc0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103be7060>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x103be7100>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103be71a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103be7240>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x103be72e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103be7380>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x103be7420>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x103be74c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x103be7560>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x103be7600>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103be76a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x103be7740>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x103be77e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103be7880>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x103be7920>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103be79c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103be7a60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x103be7b00>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103be7ba0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103be7c40>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x103be7ce0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103be7d80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103be7e20>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103be7ec0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103be7f60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103bf80e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103bf8040>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103bf8180>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x103bf8220>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103bf82c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x103bf8360>)]
name: str = 'fr_HOCCN'
